function startGame() {

	// Document items
	let document_cursor_message_box = createCursorMessageElement();
	document.body.appendChild(document_cursor_message_box);

	// Button Bar
	addButtonsToButtonBar();

	// Roulette Table Container
	let roulette_history_board = buildNumberHistory();
	let roulette_wheel = buildWheel();
	let roulette_betting_board = buildBettingBoard();
	let roulette_number_pad = numberPad();
	let roulette_message = numberPadMessage();
	let roulette_win_alert = winAlert();
	let container = document.createElement('div');
	let alertwindow = wheelAlertWindow();
	let triggerAlertWindowButton = toggleButtonTriggerWindow();

	container.setAttribute('id', 'container');


	container.appendChild(roulette_history_board);
	container.appendChild(roulette_wheel);
	container.appendChild(roulette_betting_board);
	container.appendChild(roulette_number_pad);
	container.appendChild(roulette_message);
	container.appendChild(roulette_win_alert);
	container.appendChild(alertwindow);
	container.appendChild(triggerAlertWindowButton);
	rouletteBoard.appendChild(container);

	wheel = document.getElementsByClassName('wheel')[0];
	ballTrack = document.getElementsByClassName('ballTrack')[0];

	// Bottom Container 1
	let bottomContainer1_trigger_options = triggerOptions();

	bottomContainer1.appendChild(bottomContainer1_trigger_options);

	// Bottom Container 2
	let bottomContainer2_tabs_navigation = createTabbedNavigation();

	bottomContainer2.appendChild(bottomContainer2_tabs_navigation);
	populateTabs();

	// Bottom Container 3
	let toggleDragButton = createToggleButton('dragg');
	dragButtonContainer.appendChild(toggleDragButton);
	



	updateBorderVisibility();


	loadCacheFromLocalStorage();

	let cachSpinButton = document.getElementById('cach-bet-spin-button');
	cachSpinButton.onclick = quickSpin;

	// Initialize the draggable div's position on page load
    
	
}

function playSpinSound() {
    var sound = document.getElementById('spinSound');
    sound.play();
}






  



